org.jboss.resteasy.plugins.server.netty

## Class RequestHandler

- java.lang.Object
- - org.jboss.netty.channel.SimpleChannelUpstreamHandler
  - - org.jboss.resteasy.plugins.server.netty.RequestHandler

- All Implemented Interfaces:
    org.jboss.netty.channel.ChannelHandler, org.jboss.netty.channel.ChannelUpstreamHandler

      @ChannelHandler.Sharable
      public class RequestHandler
      extends org.jboss.netty.channel.SimpleChannelUpstreamHandler

  `SimpleChannelUpstreamHandler` which handles the requests and dispatch them. This class is `ChannelHandler.Sharable`.
  Version:
    $Rev: 2368 $, $Date: 2010-10-18 17:19:03 +0900 (Mon, 18 Oct 2010) $
  Author:
    The Netty Project, Andy Taylor (andy.taylor@jboss.org), Trustin Lee, Norman Maurer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

      `org.jboss.netty.channel.ChannelHandler.Sharable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RequestDispatcher` | `dispatcher`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestHandler(RequestDispatcher dispatcher)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exceptionCaught(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ExceptionEvent e)`
    `void` | `messageReceived(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.MessageEvent e)`

    - ### Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler

      `channelBound, channelClosed, channelConnected, channelDisconnected, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, handleUpstream, writeComplete`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dispatcher

          protected final RequestDispatcher dispatcher

  - ### Constructor Detail

    - #### RequestHandler

          public RequestHandler(RequestDispatcher dispatcher)

  - ### Method Detail

    - #### messageReceived

          public void messageReceived(org.jboss.netty.channel.ChannelHandlerContext ctx,
                             org.jboss.netty.channel.MessageEvent e)
                               throws Exception

      Overrides:
        `messageReceived` in class `org.jboss.netty.channel.SimpleChannelUpstreamHandler`
      Throws:
        `Exception`

    - #### exceptionCaught

          public void exceptionCaught(org.jboss.netty.channel.ChannelHandlerContext ctx,
                             org.jboss.netty.channel.ExceptionEvent e)
                               throws Exception

      Overrides:
        `exceptionCaught` in class `org.jboss.netty.channel.SimpleChannelUpstreamHandler`
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.